Skip to content

Prize vaults

GET
/v1/vaults
curl --request GET \
--url https://api.tako.wtf/v1/vaults

OK

Media typeapplication/json
Array<object>
object
address
required

User-friendly address

string
updatedAt
required
Any of:

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991
shares
required
Any of:

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
principal
required
Any of:

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
prize
required
Any of:

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
jackpot
required
Any of:

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
players
required
Any of:
integer
>= -9007199254740991 <= 9007199254740991
drawId
required
Any of:
integer
>= -9007199254740991 <= 9007199254740991
nextDrawAt
required
Any of:

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991

Example generated

[
{
"address": "example",
"updatedAt": 1,
"shares": "example",
"principal": "example",
"prize": "example",
"jackpot": "example",
"players": 1,
"drawId": 1,
"nextDrawAt": 1
}
]